# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^bank/$',
        views.BankList.as_view(),
        name='bank_list'
    ),
    url(
        r'^bank/(?P<pk>\d+)/retrieve/$',
        views.BankRetrieve.as_view(),
        name='bank_retrieve'
    ),
    url(
        r'^bank/create/$',
        views.BankCreate.as_view(),
        name='bank_create'
    ),
    url(
        r'^bank/(?P<pk>\d+)/update/$',
        views.BankUpdate.as_view(),
        name='bank_update'
    ),
    url(
        r'^bankdetail/$',
        views.BankDetailList.as_view(),
        name='bankdetail_list'
    ),
    url(
        r'^bankdetail/(?P<pk>\d+)/retrieve/$',
        views.BankDetailRetrieve.as_view(),
        name='bankdetail_retrieve'
    ),
    url(
        r'^bank/create/$',
        views.BankDetailCreate.as_view(),
        name='bankdetail_create'
    ),
    url(
        r'^bank/(?P<pk>\d+)/update/$',
        views.BankDetailUpdate.as_view(),
        name='bankdetail_update'
    ),
]
