# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

bank_menu_item = items.MenuItem(
    # GENERAL
    _('bank'),
    reverse('admin:app_list', kwargs={'app_label': 'bank'}),
    children=[
        items.MenuItem(
            _('bank'), '',
            children=[
                items.MenuItem(_('add bank'), reverse('admin:bank_bank_add',)),
                items.MenuItem(_('bank list'), reverse('admin:bank_bank_changelist',)),
            ]
        ),
        items.MenuItem(
            _('bank detail'), '',
            children=[
                items.MenuItem(_('add bank detail'), reverse('admin:bank_bankdetail_add',)),
                items.MenuItem(_('bank detail list'), reverse('admin:bank_bankdetail_changelist',)),
            ]
        ),
    ]
)

register_menu(bank_menu_item, 'thux.bank')
